using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace NKC_WF.WebUserControls
{
    public partial class cmp_KR_cart : BaseUserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }


        public bool showFull
        {
            get
            {
                bool answ = false;
                bool.TryParse(hfShowFull.Value, out answ);
                return answ;
            }
            set
            {
                hfShowFull.Value = value.ToString();
                grView.DataBind();
            }
        }

        /// <summary>
        /// Cart selezionato
        /// </summary>
        public int PackListID
        {
            get
            {
                int answ = 0;
                int.TryParse(hfPackListID.Value, out answ);
                return answ;
            }
            set
            {
                hfPackListID.Value = value.ToString();
                grView.DataBind();
            }
        }

        internal void doUpdate()
        {
            grView.DataBind();
        }

    }
}